﻿using System;
using System.Collections.Generic;
using System.Linq;


namespace VstupniTest
{
    static class Program
    {
        private static Control control;

        private static readonly int radius = 200;       //Polomer kruznice
        private static readonly int startX = radius;    //Startovni pozice na ose X
        private static readonly int startY = 0;         //Startovni pozice na ose Y


        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            control = new Control(startX, startY); //Vytvoreni objektu pro kresleni

            Start(); //spusteni algoritmu pro defaultni hodnotu, nebo pro prvni nactenou hodnotu parametru N.

            control.Show(); //Zobrazeni GUI
        }


        /// <summary>
        /// Spusteni algoritmu pro hodnotu N.
        /// </summary>
        /// <param name="N">Pocet vrcholu N.</param>
        public static void Start(int N = 10)
        {
            control.Reset(startX, startY);


            /* Ukazka volani metod DRAW a MOVE */
            control.Draw(-30, -170);
            control.Draw(-110, 70);
            control.Move(0, 0);
            control.Draw(80, -15);


            control.Refresh(); //Prekresleni okna.
        }


        /// <summary>
        /// Spusti algoritmus pro dalsi hodnotu N.
        /// </summary>
        public static void Next()
        {
            // doplnit kod.
            // zjistit dalsi hodnotu N a zavolat "Start(N)"


        }


    }
}
